# HelloWorldFizzBuzz

Is a commandline app to show examples of hello world & fizzbuzz in different programming languages.

## Prerequisite

You must have [sqlite3](https://sqlite.org/download.html) installed on your machine 

On Windows you must install sqlite3 dll file(s) here: [sqlite3 for Windows](https://sqlite.org/download.html)

Else if you are using MacOS you can use [homebrew](http://brew.sh/) and install it with this command:

    brew install sqlite3
    
Lastly if you using Linux (rpm based) you can install it with either of these commands:

    dnf install sqlite-devel

Or
    
    yum install sqlite-devel

And if using Linux (deb based) you can install it with this command:

    apt-get install libsqlite3-dev
    

## Installation

Add this line to your application's Gemfile:

```ruby
gem 'HelloWorldFizzBuzz'
```

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install HelloWorldFizzBuzz

## Usage

Type:

    HelloWorldFizzBuzz -w language
    
To show the language's hello world example

Type:

    HelloWorldFizzBuzz -b language
    
To show the language's fizz buzz example
    
Type:

    HelloWorldFizzBuzz -l
    
To show the License of this project 

## Development

After checking out the repo, run bundle install to install dependencies. Then, run `rake test` to run the tests.

To install this gem onto your local machine, run `bundle exec rake install`.

## Contributing

Bug reports and pull requests are welcome on GitHub at https://github.com/rangeroob/HelloWorldFizzBuzz.
This project is intended to be a safe, welcoming space for collaboration, and contributors are expected to adhere to the [Contributor Covenant](http://contributor-covenant.org) code of conduct.

    1. Fork it
    2. Create your feature branch (git checkout -b my-new-feature)
    3. Commit your changes (git commit -am 'Add some feature')
    4. Push to the branch (git push origin my-new-feature)
    5. Create new Pull Request
    
The easiest way to contribute to this project is to add programing language examples of 
hello world & fizzbuzz in the `/HelloWorldFizzBuzz/lib/sqlite.rb` file 

example: 

    @posts.insert(language: 'ruby',
                  helloworld: "puts 'Hello, world!'",
                  fizzbuzz: "
    def fizzbuzz(n)
      (1..n).each do |i|
        if i % 3 == 0 && i % 5 == 0
          puts 'fizzbuzz'
        elsif i % 3 == 0
          puts 'fizz'
        elsif i % 5 == 0
          puts 'buzz'
        else
          puts i
        end
      end
    end

    fizzbuzz(100)")
## License

The gem is available as open source under the terms of the [MIT](https://opensource.org/licenses/MIT).


